Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class DimensionPropertyMaker

    java.lang.Object
      org.apache.fop.fo.properties.CorrespondingPropertyMaker
          org.apache.fop.fo.properties.DimensionPropertyMaker

public class DimensionPropertyMaker
extends CorrespondingPropertyMaker

Author:
  me To change the template for this generated type comment go to Window - Preferences - Java - Code Generation - Code and Comments

Field Summary

Fields inherited from class org.apache.fop.fo.properties.CorrespondingPropertyMaker
`baseMaker, lr_tb, rl_tb, tb_rl, useParent`

Constructor Summary
`DimensionPropertyMaker(PropertyMaker baseMaker)`

Method Summary
`Property` | `compute(PropertyList propertyList)` Return a Property object representing the value of this property, based on other property values for this FO.
`boolean` | `isCorrespondingForced(PropertyList propertyList)` For properties that operate on a relative direction (before, after, start, end) instead of an absolute direction (top, bottom, left, right), this method determines whether a corresponding property is specified on the corresponding absolute direction.
`void` | `setExtraCorresponding(int[][] extraCorresponding)`

Methods inherited from class org.apache.fop.fo.properties.CorrespondingPropertyMaker
`getWMPropertyList, setCorresponding, setRelative, setUseParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DimensionPropertyMaker

    public DimensionPropertyMaker(PropertyMaker baseMaker)

Method Detail

### setExtraCorresponding

    public void setExtraCorresponding(int[][] extraCorresponding)

### isCorrespondingForced

    public boolean isCorrespondingForced(PropertyList propertyList)

  Description copied from class: `CorrespondingPropertyMaker`
  For properties that operate on a relative direction (before, after, start, end) instead of an absolute direction (top, bottom, left, right), this method determines whether a corresponding property is specified on the corresponding absolute direction. For example, the border-start-color property in a lr-tb writing-mode specifies the same thing that the border-left-color property specifies. In this example, if the Maker for the border-start-color property is testing, and if the border-left-color is specified in the properties, this method should return true.

  Overrides:
    `isCorrespondingForced` in class `CorrespondingPropertyMaker`
  Parameters:
    `propertyList` - collection of properties to be tested
  Returns:
    true iff 1) the property operates on a relative direction, AND 2) the property has a corresponding property on an absolute direction, AND 3) the corresponding property on that absolute direction has been specified in the input properties

### compute

    public Property compute(PropertyList propertyList)
                     throws PropertyException

  Description copied from class: `CorrespondingPropertyMaker`
  Return a Property object representing the value of this property, based on other property values for this FO. A special case is properties which inherit the specified value, rather than the computed value.

  Overrides:
    `compute` in class `CorrespondingPropertyMaker`
  Parameters:
    `propertyList` - The PropertyList for the FO.
  Returns:
    Property A computed Property value or null if no rules are specified (in foproperties.xml) to compute the value.
  Throws:
    `PropertyException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.